%global momorel 22
%global emacsver 22.3
%global xemacsver 21.5.28
%global apelver 10.7-11m
%global flimver 1.14.9-5m
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages
%global snapshotdate 200706180340

Summary: SEMI - a library to provide MIME feature for Emacsen.
Name: elisp-semi
Version: 1.14.6
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
#Source0: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/semi/semi-1.14-for-flim-1.14/semi-%{version}.tar.gz
Source0: ftp.jpl.org/pub/m17n/semi-1_14-%{snapshotdate}.tar.gz
#NoSource: 0
URL: http://cvs.m17n.org/elisp/SEMI/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
BuildPreReq: flim-emacs >= %{flimver}, flim-xemacs >= %{flimver}
Requires: emacsen
Obsoletes: elisp-emiko

%description
SEMI is a library to provide MIME feature for GNU Emacs.

%package -n semi-emacs
Group: Applications/Editors
Summary: SEMI - a library to provide MIME feature for Emacs.
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: flim-emacs >= %{flimver}
Provides: emiko-emacs, emy-emacs
Obsoletes: emiko-emacs, emy-emacs

%description -n semi-emacs
SEMI is a library to provide MIME feature for GNU Emacs.

%package -n semi-xemacs
Group: Applications/Editors
Summary: SEMI - a library to provide MIME feature for XEmacs.
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: flim-xemacs >= %{flimver}
Provides: emiko-xemacs, emy-xemacs
Obsoletes: emiko-xemacs, emy-xemacs

%description -n semi-xemacs
SEMI is a library to provide MIME feature for XEmacs.

%prep
#%%setup -q -n semi-%{version}
%setup -q -n semi-1_14-%{snapshotdate}
rm -rf %{buildroot}

%build
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu \
  install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README.* SEMI-naming.ol TODO VERSION

%files -n semi-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/semi

%files -n semi-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/semi

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.6-22m)
- rebuild against emacs-22.3

* Fri Jul 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-21m)
- rebuild against apelver 10.7-11m
- rebuild against flimver 1.14.9-5m

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.6-20m)
- rebuild against xemacs-21.5.28
- update to cvs snapshot

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.6-19m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-18m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.14.6-17m)
- %%NoSource -> NoSource

* Wed Nov 28 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.6-16m)
- rebuild against flim-1.14.9

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.6-15m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-14m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-13m)
- rebuild against emacs-22.0.96

* Sun Mar 04 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-12m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-11m)
- rebuild against emacs-22.0.94

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.6-10m)
- rebuild against apel-10.7

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-9m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-8m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-7m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-6m)
- rebuild against emacs-22.0.90

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.6-5m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-4m)
- rebuild against emacs 22.0.50

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.6-3m)
- use %{sitepdir}.

* Sat Jan 29 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.6-2m)
- Obsolete: elisp-emiko

* Tue Jan 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.6-1m)
- replaces elisp-emiko

